
QGIS Application - Bug report #1915

shapefile crashes qgis

2009-09-02 12:31 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11975

Description

Hi,

I have a shapefile that crashes qgis when added to the project. Happens on both linux and windows (1.2). It is indeed a problem with the

data, as cleaning the vector with GRASS do the trick, but I guess that the program should throw a warning/error and not crash. Vector

attached.

Associated revisions

Revision a1a8e12c - 2009-09-02 09:52 PM - Jürgen Fischer

fix #1915

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11539 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6bea923d - 2009-09-02 09:52 PM - Jürgen Fischer

fix #1915

git-svn-id: http://svn.osgeo.org/qgis/trunk@11539 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-09-02 12:53 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

feature 78 has an invalid geometry - the ogr provider now copes with it.

fixed in commit:6bea923d (SVN r11540)

Files

ribcomgal.tar.gz 111 KB 2009-09-02 Giovanni Manghi

2025-04-27 1/1

http://svn.osgeo.org/qgis/trunk/qgis@11539
http://svn.osgeo.org/qgis/trunk@11539

